# No debugging info because the built .exe is bytecode. Re-enable
# if we get AOT working.
%global debug_package %{nil}

Name:           resample
Version:        1.0
Release:        1%{?dist}
Summary:        Builds blueprints of MKV/AVI samples for future recovery
Group:          Applications/Multimedia
License:        MIT
URL:            http://rescene.info/resample/
Source0:        http://rescene.info/resample/srs.%{version}.cs.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-core
BuildRequires:  rescene
Requires:       mono-core
Requires:       rescene

%description
MKV/AVI ReSample is a companion to ReScene, and it does for samples
what ReScene does for RARs. You can use MKV/AVI ReSample to build a
blueprint of an MKV or AVI sample, and then use that blueprint with
the full release to recreate that sample.


%prep
%setup -q -c
cat >resample.shell_script <<EOS
#!/bin/sh

export MONO_PATH="\$MONO_PATH:%{_libdir}/rescene/"
mono "%{_libdir}/%{name}/resample.exe" "\$@"
EOS

# Fix EOL endings:
sed -i -e "s|\r||" license.txt



%build
gmcs -unsafe -out:resample.exe *.cs */*.cs -reference:rescene.exe \
  -lib:%{_libdir}/rescene/

# Enabling AOT compilation causes rpmbuild to fail generating debuginfo.
# Disable it for now.
#mono --aot -O=all resample.exe


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}

install -m 755 resample.exe $RPM_BUILD_ROOT%{_libdir}/%{name}/
# Enabling AOT compilation causes rpmbuild to fail generating debuginfo.
# Disable it for now.
#install -m 755 resample.exe.so $RPM_BUILD_ROOT%{_libdir}/%{name}/
install -m 755 resample.shell_script $RPM_BUILD_ROOT%{_bindir}/resample


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license.txt
%{_libdir}/%{name}
%{_bindir}/resample


%changelog
* Mon Dec 14 2009 Conrad Meyer <konrad@tylerc.org> - 1.0-1
- Initial package.
